<template>
  <div class="container">
    <h1>Account Settings</h1>
    <hr>
    <h2 class="mb-3">
      Change Password
    </h2>
    <password-change />
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapGetters } from 'vuex';

import PasswordChange from '@/components/PasswordChange.vue';

export default Vue.extend({
  components: {
    PasswordChange,
  },

  computed: {
    ...mapGetters(['user']),
  },
});
</script>
